# Business Setup

To set up &app; to handle accounts receivable or accounts payable for a company, these preliminary steps must be done.

- Build an appropriate Account Hierarchy.

- Set up Tax Tables.

- Register the company in &app;.

- Set Business Preferences.

- Set up Billing Terms.

## Account Setup

There are many different ways to set up a business account hierarchy. You can start with the Business Accounts setup which is available from the New Account Hierarchy assistant, or you could build one manually. To access the prebuilt Business Accounts, start &app; and click on File New File and proceed until you see the list of available accounts, select Business Accounts.

The prebuilt Business Account hierarchy will not meet your needs exactly. You will need make adjustments for the hierarchy to function well with your particular situation. It should be close enough that it is recommended you begin with it.

To use &app;’s integrated accounts receivable system, you must first set up an account (usually a sub-account under Assets) defined with account type A/Receivable. It is within this account that the integrated A/R system will place transactions.

To use &app;’s integrated accounts payable system, you must first set up an account (usually a sub-account under Liabilities) defined with account type A/Payable. It is within this account that the integrated A/P system will place transactions.

    Basic A/R and A/P Account Hierarchy:

    -Assets
       -Accounts Receivable
       -Checking
    -Expenses
      ...(as required)
    -Income
       -Sales
    -Liabilities
      -Accounts Payable
      -Tax
          -Tax on Purchases
          -Tax on Sales

You need to add additional accounts to this hierarchy for it to be useful.

You do not need to create an individual A/R account for each customer. &app; keeps track of customers internally and provides per-customer reports based on the internal tracking. The same applies to A/P and vendors.

If you deal with customers in more than one currency you will need a separate Accounts Receivable account for each currency.

If you deal with vendors in more than one currency you will need a separate Accounts Payable account for each currency.

Transactions involving an Accounts Receivable or Accounts Payable account should not be added, changed or deleted in any way other than by using

- post/unpost bill/invoice/voucher or

- process payment

## Tax Tables

Tax Tables can used to determine the tax for customer invoices (or vendor bills).

A tax table can be assigned to an invoice line or bill line.

Set up distinct tax tables for customers and vendors.

The default invoice line tax table can be assigned to each customer and the default bill line tax table can be assigned to each vendor.

The default tax table for new customers or new vendors can be specified in the Book Options window which can be accessed by File Properties Business tab.

Tax Tables are maintained using the Sales Tax Table editor which is accessed via menu Business Sales Tax Table.

### Tax Tables

Sales Tax Tables Editor

### New Sales Tax Table

New Sales Tax Table

- Name This is the tax table name.

- Type Either Percent % or Value $ .

- Value This is the percentage or value depending on Type.

- Account This is the account to which tax will be posted. For tax collected from customers, this should probably be a Liability account as it must be payed to the government. For tax paid to vendors, if tax laws allow tax paid to vendors to offset tax collected from customers, this should probably also be a Liability account (even though it will usually have a debit balance) so that the net tax owed to the government can be easily observed.

  If you set up Tax on Purchases and Tax on Sales as subaccounts of Liabilities:Tax then the net tax will be rolled up and can be seen in the &app; Accounts tab.

  If unsure about tax law requirements, get professional advise.

## Company Registration

After you have built the account structure and defined your tax tables, register the &app; file as belonging to your company. To register your company, select the Business tab in the Book Options window accessible by selecting File Properties .

### Company Registration

Company Registration

Here you can:

- Enter the name of your company along with contact information such as your phone number, fax number, e-mail address and website URL.

- Enter your company’s tax payer id number in the Company ID field.

- Select default tax tables applicable to your most common customers and vendors.

## Business Preferences

Set options on the Business tab of the &app; preferences, which is accessed via Edit Preferences (GnuCash Preferences on Mac OS X). See Help manual chapter 10.3.3 Business Book Options Tab.

## Billing Terms

Billing Terms can be used to determine the payment due date and be a guide for determining discount for early payment of invoices (or vendor bills).

As of &app; 2.6.7, Billing Terms are only partially supported. Date due is calculated using the Billing Terms but discount amount is not.

Discount for early invoice payment is not implemented. There are 2 ways this may be done, although neither is recommended, and professional advise should be used to confirm that regulations are being complied with:

- After creating and posting a payment which pays the invoice in full, manually edit the payment transaction (usually strongly discouraged) and split the payment to reduce it by the amount of the discount and a create a compensating split in an income (discount) account.

- Alternatively, after creating and posting a payment for the discounted amount, create a credit note for the discount using a specific negative sales income (discount) account for the transfer account.

You can specify the billing terms on each invoice/bill. Invoice billing terms will default from the customer billing terms. Bill billing terms will default from the vendor billing terms.

Billing Terms are maintained using the Billing Terms Editor which is accessed via menu Business Billing Terms Editor.

### Billing Terms Editor

Billing Terms Editor

### New Billing Term

New Billing Term

- Name The internal name of the billing term. For some examples of billing term names and descriptions see .

- Description The description of the billing term, printed on invoices

- There are 2 types of billing terms, with different information to be entered

  - Type Days

    - Due Days The invoice or bill is due to be paid within this number of days after the post date

    - Discount Days The number of days after the post date during which a discount will be applied for early payment

    - Discount % The percentage discount applied for early payment

  - Type Proximo

    - Due Day The day of the month bills are due

    - Discount Day The last day of the month for the early payment discount

    - Discount % The discount percentage applied if paid early

    - Cutoff Day The cutoff day for applying bills to the next month. After the cutoff, bills are applied to the following month. Negative values count backwards from the end of the month.